import { Account, AccountFilterRequest, AccountPost, AccountPut } from '../models/account';
import BaseAPIService from './BaseAPIService';
import { AccountStatusService, AssetService, DDIService, DeviceService, EventGroupService, SettingService, TrunkService, WebhookService, ContactService, CallsService } from './Services';
declare class AccountService extends BaseAPIService<Account, AccountPut, AccountPost, AccountFilterRequest> {
    constructor(baseURL: string, token: string);
    device(accountId: string): DeviceService;
    ddi(accountId: string): DDIService;
    setting(accountId: string): SettingService;
    trunk(accountId: string): TrunkService;
    asset(accountId: string): AssetService;
    webhook(accountId: string): WebhookService;
    status(accountId: string): AccountStatusService;
    events(accountId: string): EventGroupService;
    contacts(accountId: string): ContactService;
    calls(accountId: string): CallsService;
}
export default AccountService;
